unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.Ani,
  FMX.Objects, FMX.Controls.Presentation, FMX.StdCtrls, FMX.Layouts;

type
  TForm1 = class(TForm)
    Layout1: TLayout;
    Button: TButton;
    Circle1: TCircle;
    Rectangle1: TRectangle;
    Rectangle2: TRectangle;
    aniRotationOnMouseOver: TFloatAnimation;
    aniRotationOnMouseLeave: TFloatAnimation;
    procedure Circle1MouseEnter(Sender: TObject);
    procedure Circle1MouseLeave(Sender: TObject);
    procedure Rectangle2MouseEnter(Sender: TObject);
    procedure Rectangle2MouseLeave(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.Circle1MouseEnter(Sender: TObject);
begin
  TAnimator.AnimateFloat(circle1, 'scale.x', 2, 2);
  TAnimator.AnimateFloat(circle1, 'scale.y', 2, 2);
  TAnimator.AnimateFloat(circle1, 'opacity', 0.5, 2);
  TAnimator.AnimateFloat(circle1, 'stroke.thickness', 4, 2);
  TAnimator.AnimateColor(circle1, 'fill.color', TAlphaColorrec.Cyan, 2);
  TAnimator.AnimateColor(circle1, 'stroke.color', TAlphaColorrec.Yellow, 2);
end;

procedure TForm1.Circle1MouseLeave(Sender: TObject);
begin
  TAnimator.AnimateFloat(circle1, 'scale.x', 1, 2);
  TAnimator.AnimateFloat(circle1, 'scale.y', 1, 2);
  TAnimator.AnimateFloat(circle1, 'opacity', 1, 2);
  TAnimator.AnimateFloat(circle1, 'stroke.thickness', 1, 2);
  TAnimator.AnimateColor(circle1, 'fill.color', TAlphaColorrec.Blue, 2);
  TAnimator.AnimateColor(circle1, 'stroke.color', TAlphaColorrec.Black, 2);
end;

procedure TForm1.Rectangle2MouseEnter(Sender: TObject);
begin
  TAnimator.AnimateColor(Rectangle2, 'stroke.color', TAlphaColorrec.Black, 1);
  TAnimator.AnimateFloat(Rectangle2, 'opacity', 1, 1);
  TAnimator.AnimateFloat(Rectangle2, 'stroke.thickness', 10, 1);
  TAnimator.AnimateFloat(Rectangle2, 'XRadius', 10, 1);
  TAnimator.AnimateFloat(Rectangle2, 'YRadius', 10, 1);
end;

procedure TForm1.Rectangle2MouseLeave(Sender: TObject);
begin
  TAnimator.AnimateColor(Rectangle2, 'stroke.color', TAlphaColorrec.Red, 1);
  TAnimator.AnimateFloat(Rectangle2, 'opacity', 0.5, 1);
  TAnimator.AnimateFloat(Rectangle2, 'stroke.thickness', 1, 1);
  TAnimator.AnimateFloat(Rectangle2, 'XRadius', 0, 1);
  TAnimator.AnimateFloat(Rectangle2, 'YRadius', 0, 1);
end;

end.
